Subject: Re: ISO: Ryobi mail order parts source

From: Mark Young <[email-masked]>
Date: Fri, 28 Mar 1997 02:06:04 -0600

Robert Eastburn wrote:

  Fellow woodworkers:

  I have a Ryobi oscillating drum sander for which I need a new belt.
  Does anyone know of a mail order source for parts for this sander?
  Hate to drive in to the city if at all possible <g>.  TIA

  Robert P. Eastburn
  [email-masked]
  photography | technical writing

 Hi; don't have it in front of me, but think the phone number (Tony,
Virgil & the boys) is (800)310-2581; if that doesn't work, their tech
support number is: (800)525-2579 I think; try to get "Larry" if
possible.

Best,

mark

--

(Remove the "X" in address when replying)
newsgroup respondents: Please email or cc: to my email address

Mark Young
[email-masked]
[email-masked]